#
# spec file for package fte (Version 0.49.13)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  gpp libgpp slang slang-devel xf86

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils expat fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext libstdc++-devel libtool perl rpm slang slang-devel xorg-x11 xorg-x11-devel xorg-x11-libs

Name:         fte
License:      GPL
Group:        Productivity/Editors/Other
Autoreqprov:  on
Summary:      Console- and X-based editor
Version:      0.49.13
Release:      808.1
Source:       fte-0.49.13.src.tar.gz
Patch:        fte-0.49.13.dif
Patch1:       fte-lib64.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Editor with many features and simple usage for X11 and console.



Authors:
--------
    Marko.Macek@gmx.net
    mark@hermes.si

%prep
%setup -n fte-0.49.13
%patch -p1
%patch1 -p1

%build
cd src
make unix OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix} LIB=%{_lib}
cd -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,X11R6/bin} 
cp src/xfte $RPM_BUILD_ROOT/usr/X11R6/bin
cp src/cfte $RPM_BUILD_ROOT/usr/bin
cp src/sfte $RPM_BUILD_ROOT/usr/bin
cp fte $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/fte
cp -R config/* $RPM_BUILD_ROOT/etc/fte

%files
%defattr(-,root,root)
%doc Artistic BUGS CHANGES COPYING HISTORY README TODO doc
/usr/X11R6/bin/xfte
/usr/bin/cfte
/usr/bin/sfte
/usr/bin/fte
%config(noreplace) /etc/fte

%changelog -n fte
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Thu May 15 2003 - coolo@suse.de
- use BuildRoot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri May 31 2002 - ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Wed Apr 24 2002 - ug@suse.de
- lib64 patches for s390x and hammer.
* Tue Dec 11 2001 - schwab@suse.de
- Fix copy constructor.
- Link with g++.
* Tue Jul 03 2001 - ug@suse.de
- convert 'unsigned short' to 'SLsmg_Char_Type'
- changed 'patch' to 'patch -p1' in spec file
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Thu Mar 30 2000 - ug@suse.de
- new version
- patch for simple start (just fte instead of xfte or sfte)
* Wed Feb 02 2000 - uli@suse.de
- con_slang.cpp: fixed some bad code
- now builds with $RPM_OPT_FLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Mar 22 1999 - ro@suse.de
- fixed filelist
* Tue Jan 19 1999 - ug@suse.de
- package added to distribution Version 0.49.7
